Tells whether the given wallet address is valid.
GET
/api/v1/validate/wallet-address
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” walletAddress
required
string
The wallet address to verify
Example
3FZbgi29cpjq2GjdwV8eyHuJJnkLtktZc5 currency
required
string
The currency to verify
Example
BTC destinationTag
string
The memo or destination tag
Example
ABC12345Responses
Section titled “ Responses ”Validation succeeded.
A list of possible errors for this endpoint.
object
code
required
string
message
required
string
solution
required
string
Example
{ "errors": { "ER014": { "code": "ER014", "message": "Invalid wallet address.", "solution": "Provide a valid wallet address for the selected currency pair." }, "ER015": { "code": "ER015", "message": "Invalid destination tag.", "solution": "Provide a valid destination tag." }, "ER044": { "code": "ER044", "message": "Destination tag not supported for this currency pair.", "solution": "Leave the destination tag empty." }, "ER114": { "code": "ER114", "message": "Unsupported currency provided.", "solution": "Provide a supported currency." }, "ER800": { "code": "ER800", "message": "Authorization token is invalid.", "solution": "Provide a valid authorization token." }, "ER801": { "code": "ER801", "message": "Authorization token has expired.", "solution": "Request a new authorization token." }, "ER802": { "code": "ER802", "message": "Authorization token not found.", "solution": "Provide an authorization token." }, "ER803": { "code": "ER803", "message": "Multiple authorization methods used.", "solution": "Use exactly one authorization method." }, "ER805": { "code": "ER805", "message": "API key is invalid.", "solution": "Provide a valid API key." }, "ER806": { "code": "ER806", "message": "API key not found.", "solution": "Provide an API key." }, "ER999": { "code": "ER999", "message": "A general error has occurred. Please contact our support team.", "solution": "Contact our support team." } }}